[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDefs.HiddenFields

Should field instances be created for hidden fields

## Declaration

Source position: db.pas line 228

`public property TFieldDefs.HiddenFields : Boolean read FHiddenFields write FHiddenFields;`

## Description

HiddenFields determines whether a field is created for fielddefs that have the faHiddenCol attribute set. If set to False (the default) then no TField instances will be created for hidden fields. If it is set to True, then a TField instance will be created for hidden fields.

## See also

TFieldDef.Attributes |  | Additional attributes of the field.